import { CustomEsIndexer } from '@hit/eventor-bridge-shared';
import { Logger } from '@hit/logger';
import { IBaseIndex, IBaseEsPayload } from '@hit/eventor-bridge-shared/dist/lib/bridge/BridgeTypes';

export class CustomElasticSearchIndexer extends CustomEsIndexer {

    constructor(
        protected readonly log: Logger,
        protected readonly config: any,
        protected readonly getIndices: () => IBaseIndex[]) {
        super(log, config, getIndices);
    }

    /**
     * Use this area to put custom indexing logic, per event.
     * Return of undefined will use the default Indexing in sink.
     * If desired, you can return an array to index the same event to multiple indices.
     * Base class property indices will provide and array of IBaseIndex 
     * @param msg - an individual eventor event -
     */
    transform(event: object): IBaseEsPayload[] | undefined {
        return undefined;
    }

}
