import  * as HavenConfig from '@hit/config';
import { Logger } from '@hit/logger';
import { Bridge, BridgeObjectFactory} from '@hit/eventor-bridge-shared';
import { version } from './package.json';

class ElasticBridge extends Bridge {
    protected postCreateChannel() {
        super.postCreateChannel();
        const sinkTransforms = this.sink.createCustomTransforms();
        sinkTransforms.forEach(t => this.addCustomTransform(t));
    }
}

class ElasticBridgeObjectFactory extends BridgeObjectFactory {
    protected static initBridge(servername: string, log: Logger, havenConfig: HavenConfig     ): Bridge {
        return new ElasticBridge(servername, log, havenConfig);
    }
}

const bridge: Bridge = ElasticBridgeObjectFactory.createBridge(__dirname, version)
bridge.start();
