#!/usr/bin/env bash

while getopts ":e:" opt; do
    case $opt in
        e)
            env=${OPTARG}
            ;;
        \?)
            echo "Invalid option: -$OPTARG" >&2
            exit 1
            ;;
        :)
            env="development"
            ;;
    esac
done

if [ "$env" = "ci" ]; then
    docker-compose -f ./docker/docker-compose-test.yml down
else
    docker-compose -f ./docker/docker-compose-test.yml stop
fi
